> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for available numbers

> Search for available numbers available to purchase



## OpenAPI

````yaml post /phone_numbers/search
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /phone_numbers/search:
    post:
      summary: Search for available numbers
      description: Search for available numbers available to purchase
      operationId: searchPhoneNumbers
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneNumberSearchInput'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneNumberCandidate'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    PhoneNumberSearchInput:
      type: object
      properties:
        prefix:
          type: string
          nullable: false
          description: The phone number prefix, without the country code.
        country:
          type: string
          default: US
          description: The 2-letter country code.
        limit:
          type: integer
          default: 5
          description: The maximum number of candidates to return, maximum 10.
      required:
        - prefix
    PhoneNumberCandidate:
      type: object
      properties:
        number:
          type: string
          nullable: false
          description: The phone number that's available for purchase
      required:
        - number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````